<template>
    <v-container>
        <v-col v-if="!visibility">
            <v-card shaped :color="info.priority == 1? '#FFD5D5' :''">
                <v-list-item>
                    <v-list-item-avatar color="grey">{{info.id}} </v-list-item-avatar>
                    <v-list-item-content>
                        <v-list-item-title>{{info.priority ==1 ? 'Extra priority' : 'Normal priority'}}</v-list-item-title>
                        <v-list-item-subtitle>{{info.date}}</v-list-item-subtitle>
                    </v-list-item-content>
                    </v-list-item>
                    <v-divider/>
                <v-card-text>
                    {{info.title}}
                </v-card-text>
                <v-card-actions v-if="mode === 'editable'">
                    <v-btn text v-on:click="visibility = !visibility"> Edit </v-btn>
                    <v-btn text v-on:click="markAsDone"> Mark as done </v-btn>
                    <v-spacer/>
                    <v-btn text v-on:click="deleteTodo"> Delete </v-btn>
                </v-card-actions>
            </v-card>
        </v-col>
        <v-col v-if="visibility">
            <v-row>
                <v-date-picker
                v-model="info.date"
                full-width
                ></v-date-picker>
                <v-textarea 
                rounded 
                outlined 
                solo 
                full-width 
                :autoGrow="false" 
                v-model="info.title"
                />
            </v-row>
            <v-row justify="space-between">
                <v-btn-toggle
                v-model="info.priority"
                dense
                >
                    <v-btn> Normal </v-btn>
                    <v-btn class="extra"> Extra </v-btn>
                </v-btn-toggle>
                <v-btn v-on:click="saveChanges" text large> Save </v-btn>
            </v-row>
        </v-col>
    </v-container>
</template>


<script>
export default {
    name: 'TodoCard',
    props: ['info', 'mode'],
    data(){
        return {
            visibility: false,
        }
    },

    methods:{
        markAsDone(){
            this.$store.dispatch('done',this.info.id)
            this.$router.push('/')
        },
        deleteTodo(){
            this.$store.dispatch('delete', this.info.id)
            this.$router.push('/')
        },
        saveChanges(){
            this.$store.dispatch('save', this.info)
            this.$router.push('/')
        }
    }
}
</script>

<style lang="scss">
    .extra {
        color: red !important;
    }
</style>